// Oefening TreeTest, D&D 5, blz 1072,..
import be.hogent.h20.H20_Tree;

public class H20_TreeTest {
	
	public static void main (String args[]) {
		
		H20_Tree tree = new H20_Tree();
		int value;
		
		System.out.println("De volgende waarden worden toegevoegd: ");
		
		for (int i = 1; i <= 10; i++) {
			value = (int) (Math.random() * 100);
			System.out.print(value + " ");
			tree.insertNode(value);
		}
		
		System.out.println("\n\nPreorder traversal");
		tree.preorderTraversal();
		
		System.out.println("\n\nInorder traversal");
		tree.inorderTraversel();
		
		System.out.println("\n\nPostorder traversal");
		tree.postorderTraversal();
		System.out.println();

	}

}
